# HG changeset patch
# Node ID 8ed4d660bb5d
# Parent  0d32af43de46
diff --git a/libpurple/buddylist.c b/libpurple/buddylist.c
--- a/libpurple/buddylist.c
+++ b/libpurple/buddylist.c
@@ -32,7 +32,6 @@
 #include "purpleprotocol.h"
 #include "purpleprotocolclient.h"
 #include "purpleconversation.h"
-#include "server.h"
 #include "signals.h"
 #include "util.h"
 #include "xmlnode.h"
@@ -989,7 +988,6 @@
 
 		if (bnode->parent->parent != (PurpleBlistNode*)g) {
 			purple_signal_emit(purple_blist_get_handle(), "buddy-removed-from-group", buddy);
-			purple_serv_move_buddy(buddy, (PurpleGroup *)bnode->parent->parent, g);
 		}
 
 		if (bnode->next)
@@ -1157,9 +1155,6 @@
 					hb2->group = gnode;
 
 					g_hash_table_replace(account_buddies, hb2, b);
-
-					if (purple_account_get_connection(account))
-						purple_serv_move_buddy(b, (PurpleGroup *)cnode->parent, g);
 				} else {
 					gboolean empty_contact = FALSE;
 
diff --git a/libpurple/connection.c b/libpurple/connection.c
--- a/libpurple/connection.c
+++ b/libpurple/connection.c
@@ -33,7 +33,6 @@
 #include "purpleprivate.h"
 #include "purpleprotocolserver.h"
 #include "request.h"
-#include "server.h"
 #include "signals.h"
 #include "util.h"
 
diff --git a/libpurple/meson.build b/libpurple/meson.build
--- a/libpurple/meson.build
+++ b/libpurple/meson.build
@@ -103,7 +103,6 @@
 	'request/purplerequestgroup.c',
 	'request/purplerequestpage.c',
 	'request-datasheet.c',
-	'server.c',
 	'signals.c',
 	'util.c',
 	'xmlnode.c'
@@ -201,7 +200,6 @@
 	'purplewhiteboarduiops.h',
 	'request.h',
 	'request-datasheet.h',
-	'server.h',
 	'signals.h',
 	'util.h',
 	'xmlnode.h',
diff --git a/libpurple/purpleaccount.c b/libpurple/purpleaccount.c
--- a/libpurple/purpleaccount.c
+++ b/libpurple/purpleaccount.c
@@ -42,7 +42,6 @@
 #include "request.h"
 #include "request/purplerequestfieldbool.h"
 #include "request/purplerequestfieldstring.h"
-#include "server.h"
 #include "signals.h"
 #include "util.h"
 
diff --git a/libpurple/purpleconversation.c b/libpurple/purpleconversation.c
--- a/libpurple/purpleconversation.c
+++ b/libpurple/purpleconversation.c
@@ -35,7 +35,6 @@
 #include "purpleprivate.h"
 #include "purpleprotocolconversation.h"
 #include "purpletags.h"
-#include "server.h"
 
 typedef struct {
 	char *id;
diff --git a/libpurple/server.h b/libpurple/server.h
deleted file mode 100644
--- a/libpurple/server.h
+++ /dev/null
@@ -1,51 +0,0 @@
-/*
- * Purple - Internet Messaging Library
- * Copyright (C) Pidgin Developers <devel@pidgin.im>
- *
- * Purple is the legal property of its developers, whose names are too numerous
- * to list here. Please refer to the COPYRIGHT file distributed with this
- * source distribution.
- *
- * This library is free software; you can redistribute it and/or modify it
- * under the terms of the GNU General Public License as published by the Free
- * Software Foundation; either version 2 of the License, or (at your option)
- * any later version.
- *
- * This library is distributed in the hope that it will be useful, but WITHOUT
- * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
- * FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for
- * more details.
- *
- * You should have received a copy of the GNU General Public License along with
- * this library; if not, see <https://www.gnu.org/licenses/>.
- */
-
-#if !defined(PURPLE_GLOBAL_HEADER_INSIDE) && !defined(PURPLE_COMPILATION)
-# error "only <purple.h> may be included directly"
-#endif
-
-#ifndef PURPLE_SERVER_H
-#define PURPLE_SERVER_H
-
-#include "buddy.h"
-#include "group.h"
-#include "purpleversion.h"
-
-G_BEGIN_DECLS
-
-/**
- * purple_serv_move_buddy:
- * @buddy:  The Buddy.
- * @orig:   Original group.
- * @dest:   Destiny group.
- *
- * Move a buddy from one group to another on server.
- *
- * Since: 3.0
- */
-PURPLE_AVAILABLE_IN_3_0
-void purple_serv_move_buddy(PurpleBuddy *buddy, PurpleGroup *orig, PurpleGroup *dest);
-
-G_END_DECLS
-
-#endif /* PURPLE_SERVER_H */
diff --git a/libpurple/server.c b/libpurple/server.c
deleted file mode 100644
--- a/libpurple/server.c
+++ /dev/null
@@ -1,69 +0,0 @@
-/*
- * Purple - Internet Messaging Library
- * Copyright (C) Pidgin Developers <devel@pidgin.im>
- *
- * Purple is the legal property of its developers, whose names are too numerous
- * to list here. Please refer to the COPYRIGHT file distributed with this
- * source distribution.
- *
- * This library is free software; you can redistribute it and/or modify it
- * under the terms of the GNU General Public License as published by the Free
- * Software Foundation; either version 2 of the License, or (at your option)
- * any later version.
- *
- * This library is distributed in the hope that it will be useful, but WITHOUT
- * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
- * FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for
- * more details.
- *
- * You should have received a copy of the GNU General Public License along with
- * this library; if not, see <https://www.gnu.org/licenses/>.
- */
-
-/* This file is the fullcrap */
-
-#include <glib/gi18n-lib.h>
-
-#include "buddylist.h"
-#include "conversations.h"
-#include "debug.h"
-#include "notify.h"
-#include "prefs.h"
-#include "purpleconversation.h"
-#include "purpleconversationmanager.h"
-#include "purpleprivate.h"
-#include "purpleprotocol.h"
-#include "purpleprotocolserver.h"
-#include "request.h"
-#include "signals.h"
-#include "server.h"
-#include "util.h"
-
-/*
- * Move a buddy from one group to another on server.
- *
- * Note: For now we'll not deal with changing gc's at the same time, but
- * it should be possible.  Probably needs to be done, someday.  Although,
- * the UI for that would be difficult, because groups are Purple-wide.
- */
-void purple_serv_move_buddy(PurpleBuddy *buddy, PurpleGroup *orig, PurpleGroup *dest)
-{
-	PurpleAccount *account;
-	PurpleConnection *gc;
-	PurpleProtocol *protocol;
-
-	g_return_if_fail(buddy != NULL);
-	g_return_if_fail(orig != NULL);
-	g_return_if_fail(dest != NULL);
-
-	account = purple_buddy_get_account(buddy);
-	gc = purple_account_get_connection(account);
-
-	if (gc) {
-		protocol = purple_connection_get_protocol(gc);
-		purple_protocol_server_group_buddy(PURPLE_PROTOCOL_SERVER(protocol),
-		                                   gc, purple_buddy_get_name(buddy),
-		                                   purple_group_get_name(orig),
-		                                   purple_group_get_name(dest));
-	}
-}
diff --git a/po/POTFILES.in b/po/POTFILES.in
--- a/po/POTFILES.in
+++ b/po/POTFILES.in
@@ -89,7 +89,6 @@
 libpurple/request/purplerequestfieldstring.c
 libpurple/request/purplerequestgroup.c
 libpurple/request/purplerequestpage.c
-libpurple/server.c
 libpurple/signals.c
 libpurple/tests/test_account_manager.c
 libpurple/tests/test_account_option.c
